package config

type TwitterConfig struct {
	Enabled        bool   `yaml:"enabled"`
	ConsumerKey    string `yaml:"consumer_key"`
	ConsumerSecret string `yaml:"consumer_secret"`
	AccessToken    string `yaml:"access_token"`
	AccessSecret   string `yaml:"access_secret"`

	Filters []Filter `yaml:"filters"`
}

type Filter struct {
	Follows      []string `yaml:"follows"`
	FollowStrict bool     `yaml:"follow_strict"`
	Locations    []string `yaml:"locations"`
	Tracks       []string `yaml:"tracks"`
	Webhooks     []string `yaml:"webhooks"`
}
